io.vertx.reactivex.servicediscovery.types

## Class JDBCDataSource

- java.lang.Object
- - io.vertx.reactivex.servicediscovery.types.JDBCDataSource

-     public class JDBCDataSource
      extends Object

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<JDBCDataSource>` | `__TYPE_ARG`
    `static String` | `TYPE`
    `static String` | `UNKNOWN` Unknown type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCDataSource(JDBCDataSource delegate)`
    `JDBCDataSource(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, JsonObject location, JsonObject metadata)`
    `boolean` | `equals(Object o)`
    `JDBCDataSource` | `getDelegate()`
    `static void` | `getJDBCClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static void` | `getJDBCClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject consumerConfiguration, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static void` | `getJDBCClient(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static void` | `getJDBCClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration, Handler<AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `int` | `hashCode()`
    `static JDBCDataSource` | `newInstance(JDBCDataSource arg)`
    `static Single<JDBCClient>` | `rxGetJDBCClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static Single<JDBCClient>` | `rxGetJDBCClient(ServiceDiscovery discovery, java.util.function.Function<Record,Boolean> filter, JsonObject consumerConfiguration)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static Single<JDBCClient>` | `rxGetJDBCClient(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `static Single<JDBCClient>` | `rxGetJDBCClient(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration)` Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JDBCDataSource> __TYPE_ARG

    - #### UNKNOWN

          public static final String UNKNOWN

      Unknown type.
      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JDBCDataSource

          public JDBCDataSource(JDBCDataSource delegate)

    - #### JDBCDataSource

          public JDBCDataSource(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public JDBCDataSource getDelegate()

    - #### createRecord

          public static Record createRecord(String name,
                                            JsonObject location,
                                            JsonObject metadata)

    - #### getJDBCClient

          public static void getJDBCClient(ServiceDiscovery discovery,
                                           JsonObject filter,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### rxGetJDBCClient

          public static Single<JDBCClient> rxGetJDBCClient(ServiceDiscovery discovery,
                                                           JsonObject filter)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:

    - #### getJDBCClient

          public static void getJDBCClient(ServiceDiscovery discovery,
                                           java.util.function.Function<Record,Boolean> filter,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter (must not be `null`)
        `resultHandler` - The result handler

    - #### rxGetJDBCClient

          public static Single<JDBCClient> rxGetJDBCClient(ServiceDiscovery discovery,
                                                           java.util.function.Function<Record,Boolean> filter)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter (must not be `null`)
      Returns:

    - #### getJDBCClient

          public static void getJDBCClient(ServiceDiscovery discovery,
                                           JsonObject filter,
                                           JsonObject consumerConfiguration,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration
        `resultHandler` - the result handler

    - #### rxGetJDBCClient

          public static Single<JDBCClient> rxGetJDBCClient(ServiceDiscovery discovery,
                                                           JsonObject filter,
                                                           JsonObject consumerConfiguration)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration
      Returns:

    - #### getJDBCClient

          public static void getJDBCClient(ServiceDiscovery discovery,
                                           java.util.function.Function<Record,Boolean> filter,
                                           JsonObject consumerConfiguration,
                                           Handler<AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, must not be `null`
        `consumerConfiguration` - the consumer configuration
        `resultHandler` - the result handler

    - #### rxGetJDBCClient

          public static Single<JDBCClient> rxGetJDBCClient(ServiceDiscovery discovery,
                                                           java.util.function.Function<Record,Boolean> filter,
                                                           JsonObject consumerConfiguration)

      Convenient method that looks for a JDBC datasource source and provides the configured `JDBCClient`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, must not be `null`
        `consumerConfiguration` - the consumer configuration
      Returns:

    - #### newInstance

          public static JDBCDataSource newInstance(JDBCDataSource arg)

Copyright © 2021 Eclipse. All rights reserved.